> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goteal.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an account



## OpenAPI

````yaml GET /accounts/{account_id}
openapi: 3.0.1
info:
  title: Payroll API
  description: A full flagged payroll api provided by Teal
  version: 1.0.0
servers:
  - url: https://api.sandbox.goteal.co
    description: Sandbox server for experiments
  - url: https://api.goteal.co
    description: Production server
security:
  - ApiKeyAuth: []
  - MemberBearerAuth: []
paths:
  /accounts/{account_id}:
    description: >-
      Account are the payroll and HR platform accesses that users link to Teal,
      providing a stream of income and employment data
    get:
      summary: Retrieve an account with an account ID
      parameters:
        - in: path
          name: account_id
          schema:
            type: string
          required: true
          description: ID of the account to retrieve
      responses:
        '200':
          description: Succesfully retrieved account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountsResult'
        '401':
          $ref: '#/components/responses/UnauthorizedApiKey'
        '404':
          $ref: '#/components/responses/ResourceNotFound'
components:
  schemas:
    AccountsResult:
      type: object
      required:
        - payroll_provider
        - user_name
        - created_at
        - account_id
      properties:
        account_id:
          type: string
          description: The id of the account
          example: 95a0e70b-fe02-4f47-aef9-2efff279df71
        payroll_provider:
          type: string
          description: The payroll provider to use
          example: quickbooks
        user_name:
          type: string
          description: The login of the user
          example: john.smith@company.com
        status:
          type: string
          description: Status of account
          example: PENDING
        created_at:
          $ref: '#/components/schemas/Date'
        mfa_enabled:
          type: boolean
          description: Is mfa enabled for this account
        latest_pay_date:
          $ref: '#/components/schemas/Date'
          description: The latest pay date of the payroll under this account
    Date:
      type: string
      format: date-time
      example: '2019-05-17T00:00:00.000Z'
    Unauthorized:
      type: object
      properties:
        errors:
          type: string
          description: An array of messages describing the errors
          example:
            - No X-API-KEY header provided or wrong value
    NotFound:
      type: object
      properties:
        errors:
          type: string
          description: An array of messages describing the not found errors
          example:
            - >-
              The resource with id [8be3bb60-5ab4-4bd2-90e6-3b015691a827] does
              not exist
  responses:
    UnauthorizedApiKey:
      description: Unauthorized if the X-API-KEY is not provided or is wrong
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    ResourceNotFound:
      description: Resource not found
      content:
        applcation/json:
          schema:
            $ref: '#/components/schemas/NotFound'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    MemberBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token for authentication. The token should be the one returned by
        the "/members/signin"

````